# Funding Source

The Funding Source API allows you to retrieve information about funding sources associated with your customer account. The API supports two endpoints:

* Search Funding Sources
* Get a Specific Funding Source

### Search Funding Sources

Retrieve a paginated list of funding sources available to your account. This is useful for getting an overview of all funding sources tied to your account.

`Method: POST`

`Endpoint: {{env}}/api/fundingsource/filter`&#x20;

#### Authentication

This endpoint requires [authentication](#authentication).

{% tabs %}
{% tab title="Payload (Customer)" %}

<pre class="language-json"><code class="lang-json">{
    "FundingSourceStatus":"Approved",
<strong>    "BillingAccount": true,
</strong>    "ItemsPerPage": 10,
    "PageNumber": 1
}
</code></pre>

{% endtab %}

{% tab title="Payload (Partner)" %}

```json
{
    "CustomerCompanyName":"Your Customer Company Name",
    "CustomerCompanyNameOperator":"contains",
    "CustomerId":"e803b6aa-7c5a-497e-9d1c-8038891107dc",
    "CustomerIdOperator":"contains",
    "FundingSourceStatus":"Approved",
    "BillingAccount": true,
    "ItemsPerPage": 10,
    "PageNumber": 1
}
```

{% endtab %}

{% tab title="Response" %}

```json
{
    "statusCode": 200,
    "message": "POST Request successful.",
    "isError": false,
    "result": {
        "CurrentPage": 1,
        "PageSize": 8,
        "TotalCount": 4,
        "Items": [
            {
                "Id": "332b012e-e893-4e9f-b3c7-521578781f88",
                "Customer": {
                    "Id": "e803b6aa-7c5a-497e-9c8c-8038891107dc",
                    "CompanyName": "Your Company Name"
                },
                "Number": "900 10000 54645343",
                "Name": "Jhon Doe",
                "CreatedAt": "2025-04-10T17:15:11.402066Z",
                "AggregationStatus": "Connected",
                "LastTimeRefreshed": "2025-04-10T17:15:12.19788Z",
                "FundingSourceType": "BankAccount",
                "BillingAccount": false,
                "HasBillingAccountSet": true,
                "FundingSourceStatus": "PendingApproval"
            },
            {
                "Id": "57fc9dd5-68c1-46df-abd9-bf767a98d5e9",
                "Customer": {
                    "Id": "e803b6aa-7c5a-497e-9c8c-8038891107dc",
                    "CompanyName": "Your Company Name"
                },
                "Number": "xxxxxxxxxxxx4242 - VISA",
                "Name": "Jhon Doe",
                "CreatedAt": "2025-04-10T17:13:53.586214Z",
                "AggregationStatus": "NotConnected",
                "FundingSourceType": "CreditCard",
                "BillingAccount": false,
                "HasBillingAccountSet": false,
                "FundingSourceStatus": "PendingApproval",
                "BrandName": "VISA"
            },
            {
                "Id": "7d3664a1-580a-4802-b212-e2ef14933319",
                "Customer": {
                    "Id": "e803b6aa-7c5a-497e-9c8c-8038891107dc",
                    "CompanyName": "Your Company Name"
                },
                "Number": "900 10000 2564450",
                "Name": "Jhon Doe",
                "CreatedAt": "2025-03-20T20:01:58.831584Z",
                "AggregationStatus": "Connected",
                "LastTimeRefreshed": "2025-03-20T20:02:01.929062Z",
                "FundingSourceType": "BankAccount",
                "BillingAccount": false,
                "HasBillingAccountSet": true,
                "FundingSourceStatus": "Approved"
            },
            {
                "Id": "04909f25-99ea-438e-a7f1-8639dcd323f9",
                "Customer": {
                    "Id": "e803b6aa-7c5a-497e-9c8c-8038891107dc",
                    "CompanyName": "Your Company Name"
                },
                "Number": "003 69090 4921710685",
                "Name": "Jhon Doe",
                "CreatedAt": "2025-02-04T21:42:31.772218Z",
                "AggregationStatus": "NotConnected",
                "FundingSourceType": "BankAccount",
                "BillingAccount": true,
                "HasBillingAccountSet": true,
                "FundingSourceStatus": "Approved"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

**Input Parameters**

<table><thead><tr><th width="188.5999755859375">Parameter</th><th width="116">Type</th><th width="143">Required</th><th>Description</th></tr></thead><tbody><tr><td>fundingSourceStatus</td><td>string</td><td>No</td><td>Filter by the the status of the funding source. Available options: Approved/Pending Approval/ Rejected</td></tr><tr><td>BillingAccount</td><td>boolean</td><td>No</td><td>If the response should include or exclude funding source that is used as a billing account</td></tr><tr><td>CustomerCompanyName</td><td>string</td><td>No- available for partner accounts only</td><td>Filter by a customer name</td></tr><tr><td>CustomerId</td><td>guid</td><td>No- available for partner accounts only</td><td>Filter by a customer id</td></tr><tr><td><strong>Pagination</strong></td><td></td><td></td><td></td></tr><tr><td>ItemsPerPage</td><td>Integer</td><td>No</td><td>The desired number of funding sources per page</td></tr><tr><td>PageNumber</td><td>Integer</td><td>No</td><td>The desired page</td></tr></tbody></table>

**Operators**

<table><thead><tr><th width="252.39996337890625">Type</th><th>Description</th></tr></thead><tbody><tr><td>contains</td><td>Filter records that contains the value</td></tr><tr><td>excludes</td><td>Filter records that does not contains the value</td></tr><tr><td>exactly matches</td><td>Filter records that exactly matches the value</td></tr></tbody></table>

**Response**

<table><thead><tr><th width="243.79998779296875">Parameter</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>Id</td><td>guid</td><td>Funding Source Id</td></tr><tr><td>Number</td><td>string</td><td>The Bank Account or the Credit Card number</td></tr><tr><td>Name</td><td>string</td><td>Name of the account holder or the name on the card</td></tr><tr><td>CreatedAt</td><td>datetime</td><td>When the funding source was created</td></tr><tr><td>AggregationStatus</td><td>string</td><td>Bank account connection status (used when Bank account funding source was added suing Aggregation)</td></tr><tr><td>LastTimeRefreshed</td><td>datetime</td><td>When a Bank account was reconnected</td></tr><tr><td>FundingSourceType</td><td>string</td><td>Bank Account or Credit Card</td></tr><tr><td>BillingAccount</td><td>boolean</td><td>If this funding source is used as a billing account</td></tr><tr><td>HasBillingAccountSet</td><td>boolean</td><td>If the customer has an existing billing account defined</td></tr><tr><td>FundingSourceStatus</td><td>string</td><td>The status of the funding source. Available options: Approved/Pending Approval/ Rejected</td></tr><tr><td><strong>Customer</strong></td><td></td><td>Basic Customer data</td></tr><tr><td>Id</td><td>guid</td><td>Customer Id</td></tr><tr><td>CompanyName</td><td>String</td><td>Company Name</td></tr></tbody></table>

### Get a Specific Funding Source

Retrieve detailed information about a specific funding source by its ID.

**Endpoint:**\
`Method: POST`

`Endpoint: {{env}}/api/fundingsource/{fundingSourceId}`&#x20;

Replace `{fundingSourceId}` with the ID of the funding source you want to retrieve.

#### Authentication

This endpoint requires authentication using your API credentials.

{% tabs %}
{% tab title="Response" %}

```json
{
  "statusCode": 200,
  "message": "GET Request successful.",
  "isError": false,
  "result": {
    "Id": "04909f25-99ea-438e-a7f1-8639dcd323f9",
    "Customer": {
      "Enable3DSecureVisa": false,
      "Enable3DSecureCreditCard": false,
      "InteracProvider": "Desjardins",
      "AddressCountry": "Canada",
      "Id": "e803b6aa-7c5a-497e-9c8c-8038891107dc",
      "CompanyName": "Your Company Name",
      "CompanyEmail": "company@zumrails.com"
    },
    "Institution": "Royal Bank of Canada",
    "InstitutionNumber": "003",
    "TransitNumber": "69090",
    "AccountNumber": "4921710685",
    "AccountType": "Business",
    "RoutingNumber": "",
    "Name": "Jhon Doe",
    "CompanyName": "Your Company Name",
    "Email": "company@zumrails.com",
    "CreatedAt": "2025-02-04T21:42:31.772218Z",
    "AggregationStatus": "NotConnected",
    "HasMinimumInformationForEft": true,
    "FundingSourceStatus": "Approved",
    "Country": "Canada",
    "UpdatedAt": "2025-02-04T21:42:31.772218Z"
  }
}
```

{% endtab %}
{% endtabs %}

**Input parameters**

| Parameter       | Type   | Mandatory | Description                         |
| --------------- | ------ | --------- | ----------------------------------- |
| fundingSourceId | string | Yes       | The unique ID of the funding source |

**Response**

<table><thead><tr><th width="243.79998779296875">Parameter</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>Id</td><td>guid</td><td>Funding Source Id</td></tr><tr><td>Institution</td><td>string</td><td>Financial institution name</td></tr><tr><td>InstitutionNumber</td><td>string</td><td>Financial institution number (for Canada)</td></tr><tr><td>TransitNumber</td><td>string</td><td>Financial institution transit number (for Canada)</td></tr><tr><td>AccountNumber</td><td>string</td><td>Bank account number</td></tr><tr><td>AccountType</td><td>string</td><td>Account type (Business or Personal) </td></tr><tr><td>RoutingNumber</td><td>string</td><td>Financial institution routing number (for US)</td></tr><tr><td>Name</td><td>string</td><td>Name of the account or the card holder for personal account</td></tr><tr><td>CompanyName</td><td>string</td><td>Name of the account or the card holder for Business account</td></tr><tr><td>Email</td><td>string</td><td>Email of the account or card holder</td></tr><tr><td>CreatedAt</td><td>datetime</td><td>When the funding source was created</td></tr><tr><td>AggregationStatus</td><td>string</td><td>The status of the bank  connection if was added through Aggregation</td></tr><tr><td>FundingSourceStatus</td><td>string</td><td>the status of the funding source </td></tr><tr><td>Country</td><td>string</td><td>The country of the funding source</td></tr><tr><td>UpdatedAt</td><td>datetime</td><td>Last updated date</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zumrails.com/api-reference/funding-source.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
